<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('app_version', function (Blueprint $table) {
            $table->tinyInteger("update_flag")->default(0)->comment("更新标记 0:直接更新 1：清im缓存更新 2：清除缓存更新，不需要登录 3：清缓存更新，需要登录")->after('code');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('app_version', function (Blueprint $table) {
            $table->dropColumn('update_flag');
        });
    }
};
